MsWksDBParserInternal::State Struct Reference

Internal: the state of a MsWksDBParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

DataBase | m_database
| the database
std::vector< int > | m_widthCols
| the column size in pixels(?)
Forms | m_forms
| the forms
int | m_numReports
| the number of report
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_pageLength
| the page length in point (if known)

## Detailed Description

Internal: the state of a MsWksDBParser.

## Constructor & Destructor Documentation

## State()

MsWksDBParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MsWksDBParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_database

DataBase MsWksDBParserInternal::State::m_database

the database

Referenced by State().

## m_forms

Forms MsWksDBParserInternal::State::m_forms

the forms

Referenced by State().

## m_numPages

int MsWksDBParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_numReports

int MsWksDBParserInternal::State::m_numReports

the number of report

Referenced by State().

## m_pageLength

int MsWksDBParserInternal::State::m_pageLength

the page length in point (if known)

Referenced by State().

## m_widthCols

std::vector<int> MsWksDBParserInternal::State::m_widthCols

the column size in pixels(?)

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWksDBParser.cxx